| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Data Fields
fxlc9500x_idle_t Struct Reference

Stop mode configuration during idle. More...

`#include <fxlc95000_util.h>`

## Data Fields
int8 | stop_cfg
vuint32 | use_stop_fc
vuint32 | use_stop_sc

## Detailed Description

Stop mode configuration during idle.

This structure holds the configuration variables that control the operation of the device when the fxlc9500x_idle() function is called. The use of this structure is described in the fxlc9500x_idle() function.

The use_stop_fc and use_stop_sc fields may be modified inside the user_exception_handler() function, so while they can be read anywhere, any code that modifies them should only be executed when interrupts are disabled. This can be achieved in 3 ways:

- within the user_exception_handler() or user_trap_handler() functions
- when interrupts are disabled using the interrupts_disable() function
- using the fxlc9500x_idle_use_stop_config() function

See also:
  fxlc9500x_idle(), fxlc9500x_idle_use_stop_config()

Definition at line 261 of file fxlc95000_util.h.

## Field Documentation

int8 stop_cfg

Override the normal idle mode stop configuration, based upon the value of this field:

- stop_cfg < 0: do not use any Stop mode
- stop_cfg > 0: use the supplied value as the Stop mode
- stop_cfg = 0: use the use_stop_fc and use_stop_sc fields

Definition at line 262 of file fxlc95000_util.h.

vuint32 use_stop_fc

If this is non-zero then STOP mode must use StopFC (Fast Clock) mode

Definition at line 268 of file fxlc95000_util.h.

vuint32 use_stop_sc

If this is non-zero and use_stop_fc is zero then STOP mode must use StopSC (Slow Clock) mode

Definition at line 270 of file fxlc95000_util.h.

The documentation for this struct was generated from the following file:

- Include/psp/fxlc95000_util.h